Bug 109042 - [SVG Everywhere] SVG export from KStars would be great
Summary: [SVG Everywhere] SVG export from KStars would be great
Status: RESOLVED FIXED
Alias: None
Product: kstars
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Jasem Mutlaq
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-13 22:04 UTC by Alan Horkan
Modified: 2011-05-02 16:54 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Horkan 2005-07-13 22:04:10 UTC
Version:            (using KDE KDE 3.4.1)
Installed from:    Compiled From Sources

I dont know much about QT but I was interested to learn about how KChart uses the built in functionality of QPainter to export SVG. If it is feasible it would be really great if KStars could allow SVG too.  

If it is impractical to implement then dont worry about it but I'd love to see SVG Everywhere, especially if it something already built into QT.
Comment 1 Christian Loose 2005-07-14 16:44:36 UTC
The code for KChart's SVG export can be found here: http://websvn.kde.org/trunk/koffice/filters/kchart/svg/
Comment 2 kstars 2005-07-16 21:39:26 UTC
This bug has been mis-assigned.  You wanted KStart, not KStars
Comment 3 Alan Horkan 2005-07-16 22:01:24 UTC
I meant K Stars 'etoile' stellar space etc, part of Kde Edu

The star charts in Kstars look like some form of vector graphics or line drawings and KStars already includes an option to export to raster graphics formats such as PNG.  I am asking if it might be possible to use the SVG support built into QPainter to also allow SVG export from Kstars.  
Comment 4 Thiago Macieira 2005-07-17 01:10:00 UTC
Assigning back to kstars :)
Comment 5 Rafał Kułaga 2011-05-02 13:11:40 UTC
Git commit 1024a9b4c151e0d11d4ba24b0dba79c8cff725b9 by Rafał Kułaga.
Committed on 01/05/2011 at 22:10.
Pushed by kulaga into branch 'gsoc2011'.

Add SVG format support for sky image export function.

Class QSvgGenerator is used as a QPaintDevice for
SkyMapDrawAbstract::exportSkyImage() method.

Overlays, names etc. are saved as vector graphics;
sky images are saved as raster graphics (<image> element).

CCBUG: 109042

M  +1    -1    kstars/kstarsactions.cpp     
M  +56   -41   kstars/kstarsdcop.cpp     

http://commits.kde.org/kstars/1024a9b4c151e0d11d4ba24b0dba79c8cff725b9
Comment 6 Alexey Khudiakov 2011-05-02 14:19:59 UTC
Fixed. At the moment it's in GSoC branch.
Comment 7 Alan Horkan 2011-05-02 16:54:18 UTC
Thank you.